Ramp Orders
Upload Payment Proof
Uploads the bank transfer receipt (payment proof) of an on-ramp. Only available for on_ramp ramps in status pending.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | The access token, valid for 5 minutes, is used to authenticate requests to other endpoints. |
| clientID | URL | Yes | Include your assigned ID in the URL, obtainable through the Get infoClient endpoint. |
| rampID | URL | Yes | The ID of the On Ramp for which you made the funds transfer. |
Body Request
| Field | Description |
|---|---|
| fileBase64 | Bank transfer support document converted to Base64, reflecting the payment made following the deposit instructions provided in your on-ramp order. |
Response
Returns true. The ramp moves to status received.
POST
/
api
/
ramps
/
file
/
{rampId}
/
{clientId}
Upload Payment Proof
curl --request POST \
--url https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileBase64": "<base64-encoded PDF or image of the bank transfer receipt>"
}
'import requests
url = "https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId}"
payload = { "fileBase64": "<base64-encoded PDF or image of the bank transfer receipt>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fileBase64: '<base64-encoded PDF or image of the bank transfer receipt>'})
};
fetch('https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fileBase64' => '<base64-encoded PDF or image of the bank transfer receipt>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId}"
payload := strings.NewReader("{\n \"fileBase64\": \"<base64-encoded PDF or image of the bank transfer receipt>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fileBase64\": \"<base64-encoded PDF or image of the bank transfer receipt>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fileBase64\": \"<base64-encoded PDF or image of the bank transfer receipt>\"\n}"
response = http.request(request)
puts response.read_bodytrue
Upload Payment Proof
curl --request POST \
--url https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileBase64": "<base64-encoded PDF or image of the bank transfer receipt>"
}
'import requests
url = "https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId}"
payload = { "fileBase64": "<base64-encoded PDF or image of the bank transfer receipt>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fileBase64: '<base64-encoded PDF or image of the bank transfer receipt>'})
};
fetch('https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fileBase64' => '<base64-encoded PDF or image of the bank transfer receipt>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId}"
payload := strings.NewReader("{\n \"fileBase64\": \"<base64-encoded PDF or image of the bank transfer receipt>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fileBase64\": \"<base64-encoded PDF or image of the bank transfer receipt>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fileBase64\": \"<base64-encoded PDF or image of the bank transfer receipt>\"\n}"
response = http.request(request)
puts response.read_bodytrue

